# Generated by Django 3.1.1 on 2020-09-24 17:37

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Events',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('event_name', models.CharField(max_length=255, verbose_name='Event Name')),
                ('event_description', models.TextField(max_length=255, verbose_name='Event Description')),
                ('event_date', models.DateField()),
            ],
        ),
        migrations.CreateModel(
            name='EventRegistration',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('username', models.CharField(max_length=255, verbose_name='Name')),
                ('mobile', models.CharField(max_length=255, verbose_name='Mobile')),
                ('event', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='app.events')),
            ],
        ),
        migrations.CreateModel(
            name='EventFiles',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('event_file', models.FileField(null=True, upload_to='event_files/', verbose_name='Event Files')),
                ('event', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='app.events')),
            ],
        ),
    ]
